# Delete Workspace DELETE /api/v1/workspaces/{id}/ Delete a non-personal workspace (requires ADMIN or OWNER). Personal workspaces cannot be deleted. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/workspaces/destroy ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/workspaces/{id}/: delete: operationId: destroy summary: Delete Workspace description: >- Delete a non-personal workspace (requires ADMIN or OWNER). Personal workspaces cannot be deleted. tags: - subpackage_workspaces parameters: - name: id in: path required: true schema: type: string responses: '204': description: Deleted content: application/json: schema: $ref: '#/components/schemas/workspaces_destroy_Response_204' '400': description: Personal workspace cannot be deleted content: application/json: schema: description: Any type '403': description: Forbidden content: application/json: schema: description: Any type '404': description: Not found content: application/json: schema: description: Any type components: schemas: workspaces_destroy_Response_204: type: object properties: {} description: Empty response body title: workspaces_destroy_Response_204 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/" payload = {} headers = {"Content-Type": "application/json"} response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/'; const options = {method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/" payload := strings.NewReader("{}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('DELETE', 'https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/"); var request = new RestRequest(Method.DELETE); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/workspaces/a3f47c9e-8b2d-4f1a-9c3e-2d7b5f6a1e4d/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```